package com.lyq.autocall.listener;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**
* @Description: 电话广播接收器
* @Date: 2023年09月25日 Monday
* @Author liuyuqi.gov@msn.
*/
public class CallReceiver extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        if (intent.getAction().equals(Intent.ACTION_NEW_OUTGOING_CALL)) {//如果是去电,呼出
            String phoneNumber = intent.getStringExtra(Intent.EXTRA_PHONE_NUMBER);
            setResultData(null);//清除去电号码
            Intent intent1 = new Intent(context, CallService.class);
            intent1.putExtra("number", phoneNumber);
            context.startService(intent1);
        }else(intent.getAction.equals(TelephonyManager.ACTION_PHONE_STATE_CHANGED)){// 通话状态改变
            TelephonyManager tm = (TelephonyManager) context.getSystemService(Service.TELEPHONY_SERVICE);
            switch (tm.getCallState()) {
                case TelephonyManager.CALL_STATE_RINGING://来电
                    String incomingNumber = intent.getStringExtra("incoming_number");
                    Intent intent1 = new Intent(context, CallService.class);
                    intent1.putExtra("number", incomingNumber);
                    context.startService(intent1);
                    break;
                case TelephonyManager.CALL_STATE_OFFHOOK://接通电话
                    break;
                case TelephonyManager.CALL_STATE_IDLE://挂断电话
                    break;
            }
        }
    }
}